Bug 111486 - kernel oops, possible bug in vmscan.c
Summary: kernel oops, possible bug in vmscan.c
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-04 13:35 UTC by Helge Jensen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:47:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant part of /var/log/messages (419.26 KB, text/plain)
2003-12-04 13:37 UTC, Helge Jensen
no flags Details

Description Helge Jensen 2003-12-04 13:35:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Repeated kernel oops'es

The machine is a 1 year old dell inspiron, that been running
rock-solid for over a year with redhat-7.3, redhat-9.0 (with
precompiled, and my own kernels) and WIN32. I have run memtest86 for
>24 hours, it's not getting too hot (max 65 deg. cel.), and it's not
overclocked.

Installed fedora-core on dec. 1, 2003, and kernel oops'ing began. It
seems to be random when oops'ing occur, but when one happens, it's
seems to be more likely to occur again, untill I reboot.

Note, that the first oops'es in "additional information" were BEFORE i
installed the nvidia kernel module! And I also noted that the oops'es
happened before installing the nvidia kernel module. 



Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Sometimes

Steps to Reproduce:
simply have the system turned on


Additional info:

[root@ikaros root]# uname -a
Linux ikaros 2.4.22-1.2129.nptl #1 Mon Dec 1 08:36:24 EST 2003 i686
i686 i386 GNU/Linux
[root@ikaros root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 Mobile CPU 1.60GHz
stepping        : 4
cpu MHz         : 1595.333
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3185.04
 
[root@ikaros root]# cat /proc/i8k
1.0 A10 71QRF0J 51 0 1 0 5580 -1 0

Comment 1 Helge Jensen 2003-12-04 13:37:31 UTC
Created attachment 96335 [details]
relevant part of /var/log/messages

Clippings of all the info i was able to extract from /var/log/messages

Comment 2 Helge Jensen 2003-12-04 13:39:50 UTC
accidentally attached my entire /var/log/messages, sorry bout that.

just search for "Unable to handle kernel NULL pointer"
and " kernel BUG at"

Comment 3 Dave Jones 2004-06-19 14:47:13 UTC
This should've got fixed in an update kernel, which had massive VM
updates.


Comment 4 David Lawrence 2004-09-29 19:47:38 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.